Bug 179096 - [NEW PORT] security/fpm2: Program that allows you to securely store the passwords
Summary: [NEW PORT] security/fpm2: Program that allows you to securely store the passw...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-30 01:20 UTC by nemysis
Modified: 2013-10-16 23:00 UTC (History)
1 user (show)

See Also:


Attachments
.shar (4.64 KB, text/plain)
2013-05-30 01:20 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-05-30 01:20:00 UTC
Figaro's Password Manager 2 is a program that allows you to securely store the
passwords using GTK2 interface. Features include:
- Passwords are encrypted with the AES-256 algorithm.
- Copy passwords or usernames to the clipboard/primary selection.
- If the password is for a web site, FPM2 can keep track of the URLs of your
  login screens and can automatically launch your browser. In this capacity,
  FPM2 acts as a kind of bookmark manager.
- You can teach FPM2 to launch other applications, and optionally pass
  hostnames,   usernames or passwords to the command line.
- FPM2 also has a password generator that can choose passwords for you. It
  allows you to determine how long the password should be, and what types of
  characters (lower case, upper case, numbers and symbols) should be used.
  You can even have it avoid ambiguous characters such as a capital O or the
  number zero.
- Auto-minimise and/or auto-locking passwords database after configurable time
  to the tray icon.

WWW: http://als.regnet.cz/fpm2/

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130529232400-27394/
Comment 1 Edwin Groothuis freebsd_committer 2013-05-30 01:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Rusmir Dusko freebsd_committer 2013-10-08 01:40:36 UTC
Responsible Changed
From-To: beech->nemysis

I'll take it.
Comment 3 Rusmir Dusko freebsd_committer 2013-10-16 22:57:41 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2013-10-16 22:59:40 UTC
Author: nemysis
Date: Wed Oct 16 21:59:31 2013
New Revision: 330553
URL: http://svnweb.freebsd.org/changeset/ports/330553

Log:
  Figaro's Password Manager 2 is a program that allows you to securely store the
  passwords using GTK2 interface. Features include:
  - Passwords are encrypted with the AES-256 algorithm.
  - Copy passwords or usernames to the clipboard/primary selection.
  - If the password is for a web site, FPM2 can keep track of the URLs of your
    login screens and can automatically launch your browser. In this capacity,
    FPM2 acts as a kind of bookmark manager.
  - You can teach FPM2 to launch other applications, and optionally pass
    hostnames,   usernames or passwords to the command line.
  - FPM2 also has a password generator that can choose passwords for you. It
    allows you to determine how long the password should be, and what types of
    characters (lower case, upper case, numbers and symbols) should be used.
    You can even have it avoid ambiguous characters such as a capital O or the
    number zero.
  - Auto-minimise and/or auto-locking passwords database after configurable time
    to the tray icon.
  
  WWW: http://als.regnet.cz/fpm2/
  
  PR:		ports/179096
  Submitted by:	nemysis (self)
  Approved by:	wg/pawel (mentors)

Added:
  head/security/fpm2/
  head/security/fpm2/Makefile   (contents, props changed)
  head/security/fpm2/distinfo   (contents, props changed)
  head/security/fpm2/files/
  head/security/fpm2/files/pkg-message.in   (contents, props changed)
  head/security/fpm2/pkg-descr   (contents, props changed)
  head/security/fpm2/pkg-plist   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Wed Oct 16 21:55:24 2013	(r330552)
+++ head/security/Makefile	Wed Oct 16 21:59:31 2013	(r330553)
@@ -139,6 +139,7 @@
     SUBDIR += flawfinder
     SUBDIR += fpc-hash
     SUBDIR += fpc-openssl
+    SUBDIR += fpm2
     SUBDIR += fprint_demo
     SUBDIR += fragroute
     SUBDIR += fragrouter

Added: head/security/fpm2/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fpm2/Makefile	Wed Oct 16 21:59:31 2013	(r330553)
@@ -0,0 +1,55 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	fpm2
+PORTVERSION=	0.79
+CATEGORIES=	security
+MASTER_SITES=	http://als.regnet.cz/fpm2/download/
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	Program that allows you to securely store the passwords
+
+LICENSE=	GPLv2
+
+BUILD_DEPENDS=	p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
+
+USE_BZIP2=	yes
+USES=		gmake pathfix pkgconfig
+USE_GNOME=	gtk20
+INSTALLS_OMF=	yes
+GNU_CONFIGURE=	yes
+
+PORTDOCS=	AUTHORS ChangeLog NEWS README TODO
+
+SUB_FILES=	pkg-message
+
+OPTIONS_DEFINE=	DOCS NLS
+
+OPTIONS_SUB=	yes
+
+NLS_USES=		gettext
+
+.include <bsd.port.options.mk>
+
+# Restrict to stable (even) versions, indicated by the second component.
+PORTSCOUT=    limit:^0.7\..*
+
+post-configure:
+	@${REINPLACE_CMD} -e 's|^Icon.*|Icon=${PREFIX}/share/pixmaps/${PORTNAME}/logo.png|' \
+		-e 's|^Categories=.*|Categories=GTK;Utility;System;|' \
+		${WRKSRC}/data/${PORTNAME}.desktop.in
+
+post-patch:
+	@${REINPLACE_CMD} -E -e "s@encrypt\(@bfishencrypt\(@g" ${WRKSRC}/src/blowfish.c
+	@${REINPLACE_CMD} -e 's|gdk_pixbuf_unref|g_object_unref|g' \
+		${WRKSRC}/src/interface.c
+
+.if ! ${PORT_OPTIONS:MNLS}
+	@${REINPLACE_CMD} -e 's|USE_NLS=yes|USE_NLS=no|' ${WRKSRC}/configure
+.endif
+
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/security/fpm2/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fpm2/distinfo	Wed Oct 16 21:59:31 2013	(r330553)
@@ -0,0 +1,2 @@
+SHA256 (fpm2-0.79.tar.bz2) = d55e9ce6be38a44fc1053d82db2d117cf3991a51898bd86d7913bae769f04da7
+SIZE (fpm2-0.79.tar.bz2) = 230189

Added: head/security/fpm2/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fpm2/files/pkg-message.in	Wed Oct 16 21:59:31 2013	(r330553)
@@ -0,0 +1,8 @@
+===============================================================================
+
+Figaro's Password Manager 2 has been installed.
+
+Make sure you set up a few IRQ's for random generation with rndcontrol before
+expecting password generation to work well.
+
+===============================================================================

Added: head/security/fpm2/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fpm2/pkg-descr	Wed Oct 16 21:59:31 2013	(r330553)
@@ -0,0 +1,18 @@
+Figaro's Password Manager 2 is a program that allows you to securely store the
+passwords using GTK2 interface. Features include:
+- Passwords are encrypted with the AES-256 algorithm.
+- Copy passwords or usernames to the clipboard/primary selection.
+- If the password is for a web site, FPM2 can keep track of the URLs of your
+  login screens and can automatically launch your browser. In this capacity,
+  FPM2 acts as a kind of bookmark manager.
+- You can teach FPM2 to launch other applications, and optionally pass
+  hostnames,   usernames or passwords to the command line.
+- FPM2 also has a password generator that can choose passwords for you. It
+  allows you to determine how long the password should be, and what types of
+  characters (lower case, upper case, numbers and symbols) should be used.
+  You can even have it avoid ambiguous characters such as a capital O or the
+  number zero.
+- Auto-minimise and/or auto-locking passwords database after configurable time
+  to the tray icon.
+
+WWW: http://als.regnet.cz/fpm2/

Added: head/security/fpm2/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fpm2/pkg-plist	Wed Oct 16 21:59:31 2013	(r330553)
@@ -0,0 +1,15 @@
+bin/fpm2
+man/man1/fpm2.1.gz
+share/applications/fpm2.desktop
+%%NLS%%share/locale/bg/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/de/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/es/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/eu/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/it/LC_MESSAGES/fpm2.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/fpm2.mo
+share/pixmaps/fpm2/logo.png
+@dirrm share/pixmaps/fpm2
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"